Bug 466685 - ACL set wrong rights
ACL set wrong rights
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: acl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 15:45 EDT by Alexey Kuznetsov
Modified: 2015-02-01 17:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2008-10-12 15:45:10 EDT
I not really know where is right component to put those bug, but for begin let it sicked to acl component.

Here i several problems when i work with fedora 9 and lack of right access for several programs. And i think the main problem is wrong ACL policy applied to some system services. I found two services with bad ACL rights.

First is vncserver. When you start new session by running vncserver as system service try to do command related to any removable media like cdrom, printers, web cam or other. For example: create vncserver and in terminal type: eject. You got an error about insufficient access rights to /dev/cdrom.

Second service is sshd. Try to do same things, for example run command: ls > /dev/dsp. Also you got an error about limited rights to read/write.

Only right way to login to system and solve those issues use local login. Any remote access lack of full rights to the system.


I tried to understand nature of the problem but i have lack of knowledge about local/remote authentication. Probably that is pam problem, or hal problem i have no idea where to looking for it.

Thx.
Comment 1 Bug Zapper 2009-06-09 22:56:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:15:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.